commit:     a23022d217ec3068127bb88b1898e1f37a88ba15
Author:     Piotr Karbowski <slashbeast <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  2 18:38:22 2020 +0000
Commit:     Piotr Karbowski <slashbeast <AT> gentoo <DOT> org>
CommitDate: Sun Aug  2 18:40:16 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a23022d2

sys-apps/pmount: 0.9.99_alpha-r6 bump with exfat support.

Signed-off-by: Piotr Karbowski <slashbeast <AT> gentoo.org>

 .../files/pmount-0.9.99_alpha-exfat-support.patch  | 12 +++
 sys-apps/pmount/pmount-0.9.99_alpha-r6.ebuild      | 87 ++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/sys-apps/pmount/files/pmount-0.9.99_alpha-exfat-support.patch 
b/sys-apps/pmount/files/pmount-0.9.99_alpha-exfat-support.patch
new file mode 100644
index 00000000000..b5f1074e24b
--- /dev/null
+++ b/sys-apps/pmount/files/pmount-0.9.99_alpha-exfat-support.patch
@@ -0,0 +1,12 @@
+diff --git a/src/fs.c b/src/fs.c
+index 65ea0c7..2a12b60 100644
+--- a/src/fs.c
++++ b/src/fs.c
+@@ -21,6 +21,7 @@
+ static struct FS supported_fs[] = {
+     { "udf", "nosuid,nodev,user", 1, "000", ",iocharset=%s" },
+     { "iso9660", "nosuid,nodev,user", 1, NULL, ",iocharset=%s" },
++    { "exfat", "nosuid,nodev,user", 1, "077"},
+     { "vfat", "nosuid,nodev,user,quiet,shortname=mixed", 1, "077", 
+       ",iocharset=%s",",fmask=%04o,dmask=%04o"},
+     { "hfsplus", "nosuid,nodev,user", 1, NULL, 0 },

diff --git a/sys-apps/pmount/pmount-0.9.99_alpha-r6.ebuild 
b/sys-apps/pmount/pmount-0.9.99_alpha-r6.ebuild
new file mode 100644
index 00000000000..8336e554d75
--- /dev/null
+++ b/sys-apps/pmount/pmount-0.9.99_alpha-r6.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit bash-completion-r1
+
+DESCRIPTION="Policy based mounter that gives the ability to mount removable 
devices as a user"
+HOMEPAGE="https://launchpad.net/pmount";
+SRC_URI="mirror://debian/pool/main/p/${PN}/${PN}_${PV/_/-}.orig.tar.bz2"
+S=${WORKDIR}/${P/_/-}
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="crypt"
+
+RDEPEND="
+       acct-group/plugdev
+       >=sys-apps/util-linux-2.17.2
+       crypt? ( >=sys-fs/cryptsetup-1.0.6-r2 )"
+DEPEND="${RDEPEND}
+       dev-util/intltool
+       sys-devel/gettext"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.9.19-testsuite-missing-dir.patch
+       "${FILESDIR}"/${P}-locale-regex.patch
+       "${FILESDIR}"/${P}-exfat-support.patch
+
+)
+
+src_prepare() {
+       # Restore default value from pmount <= 0.9.23 wrt #393633
+       sed -i -e '/^not_physically_logged_allow/s:=.*:= yes:' etc/pmount.conf 
|| die
+
+       cat <<-EOF > po/POTFILES.skip || die
+       src/conffile.c
+       src/configuration.c
+       src/loop.c
+       EOF
+
+       default
+}
+
+src_configure() {
+       econf --disable-hal
+}
+
+src_test() {
+       local testdir=${S}/tests/check_fstab
+
+       ln -s a "${testdir}/b" &&
+               ln -s d "${testdir}/c" &&
+               ln -s c "${testdir}/e" ||
+               die "Unable to create fake symlinks required for testsuite"
+
+       emake check
+}
+
+src_install() {
+       # Must be run SETUID+SETGID, bug #250106
+       exeinto /usr/bin
+       exeopts -m 6710 -g plugdev
+       doexe src/{p,pu}mount
+
+       dodoc AUTHORS ChangeLog TODO
+       doman man/{{p,pu}mount.1,pmount.conf.5}
+
+       insinto /etc
+       doins etc/pmount.{allow,conf}
+
+       keepdir /media #501772
+
+       newbashcomp "${FILESDIR}/${PN}.bash-completion" "${PN}"
+       bashcomp_alias pmount pumount
+}
+
+pkg_postinst() {
+       elog
+       elog "This package has been installed setuid and setgid."
+
+       elog "The permissions are as such that only users that belong to the 
plugdev"
+       elog "group are allowed to run this. But if a script run by root mounts 
a"
+       elog "device, members of the plugdev group will have access to it."
+       elog
+       elog "Please add your user to the plugdev group to be able to mount USB 
drives"
+}

Reply via email to